> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opensink.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sink Items

> List or search items. Use q for full-text search, sink_id to filter by sink. Supports trail-based pagination.

Required scope: `sink_items:read`, `sink_items:all`, or `all:all`



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/sink-items
openapi: 3.0.0
info:
  title: OpenSink API
  description: API documentation for OpenSink
  version: 1.0.0
servers:
  - url: https://api.opensink.com
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: Sink
    description: Sink management endpoints
  - name: Sink Item
    description: Sink item endpoints
  - name: Cron Job
    description: Cron job scheduling endpoints
  - name: Cron Job Run
    description: Cron job execution history
  - name: Agent
    description: Agent management endpoints
  - name: Agent Config
    description: Agent configuration endpoints
  - name: Agent Session
    description: Agent session endpoints
  - name: Agent Session Input Request
    description: Agent session input request endpoints
  - name: Agent Session Activity
    description: Agent session activity log endpoints
paths:
  /api/v1/sink-items:
    get:
      tags:
        - Sink Item
      summary: List Sink Items
      description: >-
        List or search items. Use q for full-text search, sink_id to filter by
        sink. Supports trail-based pagination.


        Required scope: `sink_items:read`, `sink_items:all`, or `all:all`
      operationId: listSinkItems
      parameters:
        - schema:
            type: string
            format: uuid
          in: query
          name: sink_id
          required: false
          description: Filter by sink ID
        - schema:
            type: string
          in: query
          name: q
          required: false
          description: Search query (optional)
        - schema:
            type: number
          in: query
          name: $limit
          required: false
          description: 'Maximum items to return (default: 50, max: 100)'
        - schema:
            type: string
          in: query
          name: $trail
          required: false
          description: Pagination trail from previous response
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      description: An item collected by a sink
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Unique identifier
                        sink_id:
                          type: string
                          format: uuid
                          description: Parent sink ID
                        workspace_id:
                          type: string
                          format: uuid
                          description: Workspace ID
                        title:
                          type: string
                          minLength: 1
                          maxLength: 255
                          description: Item title
                        body:
                          type: string
                          description: Item body/content
                          nullable: true
                        type:
                          type: string
                          maxLength: 255
                          description: Item type
                          nullable: true
                        url:
                          type: string
                          maxLength: 2048
                          description: Associated URL
                          nullable: true
                        fields:
                          type: object
                          description: Custom fields
                          nullable: true
                        occurred_at:
                          type: string
                          format: date-time
                          description: When the event occurred
                          nullable: true
                        created_at:
                          type: string
                          format: date-time
                          description: Creation timestamp
                        updated_at:
                          type: string
                          format: date-time
                          description: Last update timestamp
                  trail:
                    type: string
                    nullable: true
                    description: Pagination trail for next page
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient permissions
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication

````